Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.pretrade.inner
Class MarketDataSnapshot

    java.lang.Object
      com.fxcm.fix.pretrade.MarketDataSnapshot
          com.fxcm.fix.pretrade.inner.MarketDataSnapshot

All Implemented Interfaces:
  ITransportable

    public class MarketDataSnapshot

extends MarketDataSnapshot

Market Data Snapshot Full Refresh, FIX 4-4 with historical snapshots.

Field Summary

Fields inherited from class com.fxcm.fix.pretrade.MarketDataSnapshot
`OBJ_TYPE`

Constructor Summary
`MarketDataSnapshot()`
`MarketDataSnapshot(MarketDataSnapshot aMarketDataSnapshot)`

Method Summary
`void` | `addMarketDataEntry(MarketDataEntry aMarketDataEntry)`
`boolean` | `fill(IMessage aMsg)` Recreates object state from given message.
`String` | `getAskCurrency()` Returns dealt currency, when field empty dealt currency is a left currency of quote symbol
`double` | `getAskEntrySize()` Returns quote liquidity, impressed in dealt currency, when field is missed any order quantity possible
`UTCDate` | `getAskExpireDate()` Returns quote expiration date
`UTCTimeOnly` | `getAskExpireTime()` Returns quote expiration time
`String` | `getAskId()` Returns ask quote id
`String` | `getAskOriginator()` Returns name of quote source
`String` | `getAskQuoteCondition()` Returns quote condition, Possible values: "A" active "B" closed
`int` | `getAskQuoteType()` Returns quote Type.
`String` | `getBidCurrency()` Returns dealt currency, when field empty dealt currency is a left currency of quote symbol
`double` | `getBidEntrySize()` Returns quote liquidity, impressed in dealt currency, when field is missed any order quantity possible
`UTCDate` | `getBidExpireDate()` Returns quote expiration date
`UTCTimeOnly` | `getBidExpireTime()` Returns quote expiration time
`String` | `getBidId()` Returns bid quote id
`String` | `getBidOriginator()` Returns name of quote source
`String` | `getBidQuoteCondition()` Returns quote condition, Possible values: "A" active "B" closed
`int` | `getBidQuoteType()` Returns quote Type.
`MarketDataEntry` | `getDefaultMarketDataEntry(String aMDEntryType, boolean aCreateNew)`
`Collection` | `getMarketDataEntries()`
`MarketDataEntry` | `getMarketDataEntry(String aMDEntryID)`
`void` | `reset()` Reset object state to default values.
`void` | `setAskClose(double aAskClose)` Updates closing ask price.
`void` | `setAskCurrency(String aAskCurrency)` Sets dealt currency, when field empty dealt currency is a left currency of quote symbol
`void` | `setAskEntrySize(double aAskEntrySize)` Sets quote liquidity, impressed in dealt currency, when field is missed any order quantity possible
`void` | `setAskExpireDate(UTCDate aAskExpireDate)` Sets quote expiration date
`void` | `setAskExpireTime(UTCTimeOnly aAskExpireTime)` Sets quote expiration time
`void` | `setAskHigh(double aAskHigh)` Updates high ask price.
`void` | `setAskId(String aAskId)` Sets ask quote id
`void` | `setAskLow(double aAskLow)` Updates low ask price.
`void` | `setAskOpen(double aAskOpen)` Updates opening ask price.
`void` | `setAskOriginator(String aAskOriginator)` Sets name of quote source
`void` | `setAskQuoteCondition(String aAskQuoteCondition)` Sets quote condition, Possible values: "A" active "B" closed
`void` | `setAskQuoteType(int aAskQuoteType)` Sets quote Type.
`void` | `setBidClose(double aBidClose)` Updates closing bid price.
`void` | `setBidCurrency(String aBidCurrency)` Sets dealt currency, when field empty dealt currency is a left currency of quote symbol
`void` | `setBidEntrySize(double aBidEntrySize)` Sets quote liquidity, impressed in dealt currency, when field is missed any order quantity possible
`void` | `setBidExpireDate(UTCDate aBidExpireDate)` Sets quote expiration date
`void` | `setBidExpireTime(UTCTimeOnly aBidExpireTime)` Sets quote expiration time
`void` | `setBidHigh(double aBidHigh)` Updates high bid price.
`void` | `setBidId(String aBidId)` Sets bid quote id
`void` | `setBidLow(double aBidLow)` Updates low bid price.
`void` | `setBidOpen(double aBidOpen)` Updates opening bid price.
`void` | `setBidOriginator(String aBidOriginator)` Sets name of quote source
`void` | `setBidQuoteCondition(String aBidQuoteCondition)` Sets quote condition, Possible values: "A" active "B" closed
`void` | `setBidQuoteType(int aBidQuoteType)` Sets quote Type.
`void` | `setHigh(double aHigh)` Updates trading session high price.
`void` | `setLow(double aLow)` Updates trading session low price.
`void` | `setTickVolume(int aTickVolume)` Update period tick volume.
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aMDEntryTypeSet, IMessageFactory aFactory)` Converts object to IMessage.
`String` | `toString()`

Methods inherited from class com.fxcm.fix.pretrade.MarketDataSnapshot
`equals, getAskClose, getAskHigh, getAskLow, getAskOpen, getBidClose, getBidHigh, getBidLow, getBidOpen, getCloseTimestamp, getDate, getFXCMContinuousFlag, getFXCMMsgID, getFXCMTimingInterval, getHigh, getInstrument, getLow, getMakingTime, getMDReqID, getName, getOpenTimestamp, getOpenTimestampRef, getOriginator, getPriceStream, getQuoteID, getRequestID, getTickTime, getTickVolume, getTime, getTradingSessionID, getTradingSessionSubID, getType, hashCode, isComplete, isTradeable, isValid, setComplete, setDate, setFXCMContinuousFlag, setFXCMMsgID, setFXCMTimingInterval, setInstrument, setMDReqID, setOpenTimestamp, setOriginator, setPriceStream, setQuoteID, setTime, setTradeable, setTradingSessionID, setTradingSessionSubID, toMessage, update`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarketDataSnapshot

    public MarketDataSnapshot()

### MarketDataSnapshot

    public MarketDataSnapshot(MarketDataSnapshot aMarketDataSnapshot)

Method Detail

### setAskLow

    public void setAskLow(double aAskLow)

  Description copied from class: `MarketDataSnapshot`
  Updates low ask price.

  `0.00` by default.

  Specified by:
    `setAskLow` in class `MarketDataSnapshot`

### setAskHigh

    public void setAskHigh(double aAskHigh)

  Description copied from class: `MarketDataSnapshot`
  Updates high ask price.

  `0.00` by default.

  Specified by:
    `setAskHigh` in class `MarketDataSnapshot`
  Parameters:
    `aAskHigh` - high ask price

### setAskOpen

    public void setAskOpen(double aAskOpen)

  Description copied from class: `MarketDataSnapshot`
  Updates opening ask price.

  Ask price for ticks.`0.00` by default.

  Specified by:
    `setAskOpen` in class `MarketDataSnapshot`
  Parameters:
    `aAskOpen` - opening ask price

### setAskClose

    public void setAskClose(double aAskClose)

  Description copied from class: `MarketDataSnapshot`
  Updates closing ask price.

  `0.00` by default.

  Specified by:
    `setAskClose` in class `MarketDataSnapshot`
  Parameters:
    `aAskClose` - closing ask price

### setLow

    public void setLow(double aLow)

  Description copied from class: `MarketDataSnapshot`
  Updates trading session low price.

  `0.00` by default.

  Specified by:
    `setLow` in class `MarketDataSnapshot`
  Parameters:
    `aLow` - low price

### setHigh

    public void setHigh(double aHigh)

  Description copied from class: `MarketDataSnapshot`
  Updates trading session high price.

  `0.00` by default.

  Specified by:
    `setHigh` in class `MarketDataSnapshot`
  Parameters:
    `aHigh` - high price

### setBidLow

    public void setBidLow(double aBidLow)

  Description copied from class: `MarketDataSnapshot`
  Updates low bid price.

  `0.00` by default.

  Specified by:
    `setBidLow` in class `MarketDataSnapshot`
  Parameters:
    `aBidLow` - low bid price

### setBidHigh

    public void setBidHigh(double aBidHigh)

  Description copied from class: `MarketDataSnapshot`
  Updates high bid price.

  `0.00` by default.

  Specified by:
    `setBidHigh` in class `MarketDataSnapshot`
  Parameters:
    `aBidHigh` - high bid price

### setBidOpen

    public void setBidOpen(double aBidOpen)

  Description copied from class: `MarketDataSnapshot`
  Updates opening bid price.

  Bid price for ticks. `0.00` by default.

  Specified by:
    `setBidOpen` in class `MarketDataSnapshot`
  Parameters:
    `aBidOpen` - opening bid price

### setBidClose

    public void setBidClose(double aBidClose)

  Description copied from class: `MarketDataSnapshot`
  Updates closing bid price.

  `0.00` by default.

  Specified by:
    `setBidClose` in class `MarketDataSnapshot`
  Parameters:
    `aBidClose` - closing bid price

### setTickVolume

    public void setTickVolume(int aTickVolume)

  Description copied from class: `MarketDataSnapshot`
  Update period tick volume.

  Specified by:
    `setTickVolume` in class `MarketDataSnapshot`

### getBidId

    public String getBidId()

  Description copied from class: `MarketDataSnapshot`
  Returns bid quote id

  Specified by:
    `getBidId` in class `MarketDataSnapshot`
  Returns:
    bid quote id

### setBidId

    public void setBidId(String aBidId)

  Description copied from class: `MarketDataSnapshot`
  Sets bid quote id

  Specified by:
    `setBidId` in class `MarketDataSnapshot`
  Parameters:
    `aBidId` - bid quote id

### getAskId

    public String getAskId()

  Description copied from class: `MarketDataSnapshot`
  Returns ask quote id

  Specified by:
    `getAskId` in class `MarketDataSnapshot`
  Returns:
    ask quote id

### setAskId

    public void setAskId(String aAskId)

  Description copied from class: `MarketDataSnapshot`
  Sets ask quote id

  Specified by:
    `setAskId` in class `MarketDataSnapshot`
  Parameters:
    `aAskId` - ask quote id

### getBidQuoteCondition

    public String getBidQuoteCondition()

  Description copied from class: `MarketDataSnapshot`
  Returns quote condition, Possible values: "A" active "B" closed

  Specified by:
    `getBidQuoteCondition` in class `MarketDataSnapshot`
  Returns:
    quote condition, Possible values: "A" active "B" closed

### setBidQuoteCondition

    public void setBidQuoteCondition(String aBidQuoteCondition)

  Description copied from class: `MarketDataSnapshot`
  Sets quote condition, Possible values: "A" active "B" closed

  Specified by:
    `setBidQuoteCondition` in class `MarketDataSnapshot`
  Parameters:
    `aBidQuoteCondition` - quote condition, Possible values: "A" active "B" closed

### getBidQuoteType

    public int getBidQuoteType()

  Description copied from class: `MarketDataSnapshot`
  Returns quote Type. Possible values "0" - Indicative, "1" - Tradeable

  Specified by:
    `getBidQuoteType` in class `MarketDataSnapshot`
  Returns:
    quote Type. Possible values "0" - Indicative, "1" - Tradeable

### setBidQuoteType

    public void setBidQuoteType(int aBidQuoteType)

  Description copied from class: `MarketDataSnapshot`
  Sets quote Type. Possible values "0" - Indicative, "1" - Tradeable

  Specified by:
    `setBidQuoteType` in class `MarketDataSnapshot`
  Parameters:
    `aBidQuoteType` - quote Type. Possible values "0" - Indicative, "1" - Tradeable

### getBidExpireDate

    public UTCDate getBidExpireDate()

  Description copied from class: `MarketDataSnapshot`
  Returns quote expiration date

  Specified by:
    `getBidExpireDate` in class `MarketDataSnapshot`
  Returns:
    quote expiration date

### setBidExpireDate

    public void setBidExpireDate(UTCDate aBidExpireDate)

  Description copied from class: `MarketDataSnapshot`
  Sets quote expiration date

  Specified by:
    `setBidExpireDate` in class `MarketDataSnapshot`
  Parameters:
    `aBidExpireDate` - quote expiration date

### getBidExpireTime

    public UTCTimeOnly getBidExpireTime()

  Description copied from class: `MarketDataSnapshot`
  Returns quote expiration time

  Specified by:
    `getBidExpireTime` in class `MarketDataSnapshot`
  Returns:
    quote expiration time

### setBidExpireTime

    public void setBidExpireTime(UTCTimeOnly aBidExpireTime)

  Description copied from class: `MarketDataSnapshot`
  Sets quote expiration time

  Specified by:
    `setBidExpireTime` in class `MarketDataSnapshot`
  Parameters:
    `aBidExpireTime` - quote expiration time

### getBidOriginator

    public String getBidOriginator()

  Description copied from class: `MarketDataSnapshot`
  Returns name of quote source

  Specified by:
    `getBidOriginator` in class `MarketDataSnapshot`
  Returns:
    name of quote source

### setBidOriginator

    public void setBidOriginator(String aBidOriginator)

  Description copied from class: `MarketDataSnapshot`
  Sets name of quote source

  Specified by:
    `setBidOriginator` in class `MarketDataSnapshot`
  Parameters:
    `aBidOriginator` - name of quote source

### getBidCurrency

    public String getBidCurrency()

  Description copied from class: `MarketDataSnapshot`
  Returns dealt currency, when field empty dealt currency is a left currency of quote symbol

  Specified by:
    `getBidCurrency` in class `MarketDataSnapshot`
  Returns:
    dealt currency, when field empty dealt currency is a left currency of quote symbol

### setBidCurrency

    public void setBidCurrency(String aBidCurrency)

  Description copied from class: `MarketDataSnapshot`
  Sets dealt currency, when field empty dealt currency is a left currency of quote symbol

  Specified by:
    `setBidCurrency` in class `MarketDataSnapshot`
  Parameters:
    `aBidCurrency` - dealt currency, when field empty dealt currency is a left currency of quote symbol

### getBidEntrySize

    public double getBidEntrySize()

  Description copied from class: `MarketDataSnapshot`
  Returns quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

  Specified by:
    `getBidEntrySize` in class `MarketDataSnapshot`
  Returns:
    quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

### setBidEntrySize

    public void setBidEntrySize(double aBidEntrySize)

  Description copied from class: `MarketDataSnapshot`
  Sets quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

  Specified by:
    `setBidEntrySize` in class `MarketDataSnapshot`
  Parameters:
    `aBidEntrySize` - quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

### getAskQuoteCondition

    public String getAskQuoteCondition()

  Description copied from class: `MarketDataSnapshot`
  Returns quote condition, Possible values: "A" active "B" closed

  Specified by:
    `getAskQuoteCondition` in class `MarketDataSnapshot`
  Returns:
    quote condition, Possible values: "A" active "B" closed

### setAskQuoteCondition

    public void setAskQuoteCondition(String aAskQuoteCondition)

  Description copied from class: `MarketDataSnapshot`
  Sets quote condition, Possible values: "A" active "B" closed

  Specified by:
    `setAskQuoteCondition` in class `MarketDataSnapshot`
  Parameters:
    `aAskQuoteCondition` - quote condition, Possible values: "A" active "B" closed

### getAskQuoteType

    public int getAskQuoteType()

  Description copied from class: `MarketDataSnapshot`
  Returns quote Type. Possible values "0" - Indicative, "1" - Tradeable

  Specified by:
    `getAskQuoteType` in class `MarketDataSnapshot`
  Returns:
    quote Type. Possible values "0" - Indicative, "1" - Tradeable

### setAskQuoteType

    public void setAskQuoteType(int aAskQuoteType)

  Description copied from class: `MarketDataSnapshot`
  Sets quote Type. Possible values "0" - Indicative, "1" - Tradeable

  Specified by:
    `setAskQuoteType` in class `MarketDataSnapshot`
  Parameters:
    `aAskQuoteType` - quote Type. Possible values "0" - Indicative, "1" - Tradeable

### getAskExpireDate

    public UTCDate getAskExpireDate()

  Description copied from class: `MarketDataSnapshot`
  Returns quote expiration date

  Specified by:
    `getAskExpireDate` in class `MarketDataSnapshot`
  Returns:
    quote expiration date

### setAskExpireDate

    public void setAskExpireDate(UTCDate aAskExpireDate)

  Description copied from class: `MarketDataSnapshot`
  Sets quote expiration date

  Specified by:
    `setAskExpireDate` in class `MarketDataSnapshot`
  Parameters:
    `aAskExpireDate` - quote expiration date

### getAskExpireTime

    public UTCTimeOnly getAskExpireTime()

  Description copied from class: `MarketDataSnapshot`
  Returns quote expiration time

  Specified by:
    `getAskExpireTime` in class `MarketDataSnapshot`
  Returns:
    quote expiration time

### setAskExpireTime

    public void setAskExpireTime(UTCTimeOnly aAskExpireTime)

  Description copied from class: `MarketDataSnapshot`
  Sets quote expiration time

  Specified by:
    `setAskExpireTime` in class `MarketDataSnapshot`
  Parameters:
    `aAskExpireTime` - quote expiration time

### getAskOriginator

    public String getAskOriginator()

  Description copied from class: `MarketDataSnapshot`
  Returns name of quote source

  Specified by:
    `getAskOriginator` in class `MarketDataSnapshot`
  Returns:
    name of quote source

### setAskOriginator

    public void setAskOriginator(String aAskOriginator)

  Description copied from class: `MarketDataSnapshot`
  Sets name of quote source

  Specified by:
    `setAskOriginator` in class `MarketDataSnapshot`
  Parameters:
    `aAskOriginator` - name of quote source

### getAskCurrency

    public String getAskCurrency()

  Description copied from class: `MarketDataSnapshot`
  Returns dealt currency, when field empty dealt currency is a left currency of quote symbol

  Specified by:
    `getAskCurrency` in class `MarketDataSnapshot`
  Returns:
    dealt currency, when field empty dealt currency is a left currency of quote symbol

### setAskCurrency

    public void setAskCurrency(String aAskCurrency)

  Description copied from class: `MarketDataSnapshot`
  Sets dealt currency, when field empty dealt currency is a left currency of quote symbol

  Specified by:
    `setAskCurrency` in class `MarketDataSnapshot`
  Parameters:
    `aAskCurrency` - dealt currency, when field empty dealt currency is a left currency of quote symbol

### getAskEntrySize

    public double getAskEntrySize()

  Description copied from class: `MarketDataSnapshot`
  Returns quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

  Specified by:
    `getAskEntrySize` in class `MarketDataSnapshot`
  Returns:
    quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

### setAskEntrySize

    public void setAskEntrySize(double aAskEntrySize)

  Description copied from class: `MarketDataSnapshot`
  Sets quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

  Specified by:
    `setAskEntrySize` in class `MarketDataSnapshot`
  Parameters:
    `aAskEntrySize` - quote liquidity, impressed in dealt currency, when field is missed any order quantity possible

### toMessage

    public IMessage toMessage(String aSID,
                              String aTradingSessionID,
                              String aTradingSessionSubID,
                              String aRequestID,
                              int aMDEntryTypeSet,
                              IMessageFactory aFactory)

  Description copied from class: `MarketDataSnapshot`
  Converts object to IMessage.

  Specified by:
    `toMessage` in interface `ITransportable`
  Specified by:
    `toMessage` in class `MarketDataSnapshot`
  Parameters:
    `aSID` - user session ID
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aMDEntryTypeSet` - Set of options for message creation, reserved
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### fill

    public boolean fill(IMessage aMsg)

  Description copied from class: `MarketDataSnapshot`
  Recreates object state from given message.

  Specified by:
    `fill` in interface `ITransportable`
  Specified by:
    `fill` in class `MarketDataSnapshot`
  Parameters:
    `aMsg` - orignal message to fill out object state
  Returns:
    `true` when valid object state is generated and `false` in case of errors

### reset

    public void reset()

  Reset object state to default values.

  Overrides:
    `reset` in class `MarketDataSnapshot`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDefaultMarketDataEntry

    public MarketDataEntry getDefaultMarketDataEntry(String aMDEntryType,
                                                     boolean aCreateNew)

### getMarketDataEntries

    public Collection getMarketDataEntries()

### addMarketDataEntry

    public void addMarketDataEntry(MarketDataEntry aMarketDataEntry)

### getMarketDataEntry

    public MarketDataEntry getMarketDataEntry(String aMDEntryID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.